Devices
List devices
Orion Data API v1.2 · Deprecated
const url = 'https://api.oriondata.io/api/userDevices?serialNumbers=imei1%2Cimei2';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.oriondata.io/api/userDevices?serialNumbers=imei1%2Cimei2' \ --header 'Authorization: Bearer <token>'Returns every Device assigned to the authenticated user, along with its sensors and soft sensors.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Filter the result to Devices with one of the supplied IMEI serial numbers. Supply as a comma-separated list.
Example
?serialNumbers=imei1%2Cimei2Responses
Section titled “Responses”An array of Device objects.
object
The Device ID.
The name of the Device.
The serial number of the Device. Not to be confused with serialNumber.
The IMEI number of the Device. Not to be confused with reference.
The Device’s local date and time when it was installed.
The current transmission status of the Device.
The UTC date and time of the most recent transmission.
The Device’s latitude in decimal degrees.
The Device’s longitude in decimal degrees.
The Device’s battery percentage.
Raw sensors on the Device.
object
The Sensor ID.
The type of sensor.
The unit of measure.
The channel number of the sensor.
The custom display name of the sensor.
The SCADA tag of the sensor.
Soft sensors on the Device.
object
The Soft Sensor ID.
The type of sensor.
The unit of measure.
The custom display name of the soft sensor.
The SCADA tag of the soft sensor.
Example
[ { "deviceId": 12345, "deviceName": "Device Name", "reference": null, "serialNumber": "301434061907700", "dateInstalled": "2024-08-04T07:21:25.11", "status": "Online", "lastUpload": "2024-09-16T01:01:33.847", "latitude": -31.9163123, "longitude": 115.9301094, "batteryPercentage": 100, "sensors": [ { "sensorId": 54321, "sensorType": "Water Level", "uom": "m", "channelNumber": 1, "customName": null, "scadaTag": null } ], "softSensors": [ { "softSensorId": 65432, "sensorType": "Water Level", "uom": "m", "customName": "SensorName", "scadaTag": "Tag" } ] }]The server could not understand the request.
No valid token was provided.
Rate limit exceeded.